NXOpen .NET Reference Guide
 All Classes Namespaces Functions Variables Enumerations Enumerator Properties
Public Member Functions | Properties | List of all members
NXOpen.Features.UnitCellEditorBuilder Class Reference

The unit cell editor allows an application to create, store and edit a lattice unit cell. More...

Inheritance diagram for NXOpen.Features.UnitCellEditorBuilder:
NXOpen.Builder NXOpen.TaggedObject NXOpen.GeometricUtilities.IComponentBuilder NXOpen.Utilities.NXRemotableObject IMessageSink

Public Member Functions

unsafe void CreateSnapHandles ()
 Journaling for the Creation of Snap Handles More...
 
unsafe void CreateWorkingCube ()
 Create the working cube to view the space where the unit cell must be defined. More...
 
unsafe int Open (NXOpen.Section section)
 Open an existing unit cell file More...
 
unsafe void Save ()
 Save the unit cell file using the file name registered in this builder More...
 
- Public Member Functions inherited from NXOpen.Builder
unsafe NXOpen.NXObject Commit ()
 Commits any edits that have been applied to the builder. More...
 
unsafe void Destroy ()
 Deletes the builder, and cleans up any objects created by the builder. More...
 
unsafe NXOpen.NXObject[] GetCommittedObjects ()
 For builders that create more than one object, this method returns the objects that are created by commit. More...
 
unsafe NXOpen.NXObject GetObject ()
 Returns the object currently being edited by this builder. More...
 
unsafe void ShowResults ()
 Updates the model to reflect the result of an edit to the model for all builders that support showing results. More...
 
unsafe bool Validate ()
 Validate whether the inputs to the component are sufficient for commit to be called. More...
 
- Public Member Functions inherited from NXOpen.TaggedObject
void PrintTestData (String variableName)
 <exclude> More...
 
void PrintTestData (String variableName, int lineNumber)
 <exclude> More...
 
override string ToString ()
 Returns a String that represents the current Object. More...
 
- Public Member Functions inherited from NXOpen.Utilities.NXRemotableObject
IMessageCtrl AsyncProcessMessage (IMessage msg, IMessageSink replySink)
 Asynchronously processes the given message. More...
 
IMessage SyncProcessMessage (IMessage msg)
 Synchronously processes the given message. More...
 

Properties

unsafe int CellCountX [get, set]
 Returns or sets the number of unit cells to display along X axis when show pattern is ON More...
 
unsafe int CellCountY [get, set]
 Returns or sets the number of unit cells to display along Y axis when show pattern is ON More...
 
unsafe int CellCountZ [get, set]
 Returns or sets the number of unit cells to display along Z axis when show pattern is ON More...
 
unsafe string FileBrowser [get, set]
 Returns or sets the unit cell file name to open or save More...
 
unsafe bool KeepRods [get, set]
 Returns or sets an option to keep all the curves in the part when opening a unit cell file More...
 
unsafe double RodDiameter [get, set]
 Returns or sets the unit cell rod diameter More...
 
unsafe
NXOpen.GeometricUtilities.RodItemListBuilder 
RodItemList [get]
 Returns a rod item list More...
 
unsafe bool ShowPattern [get, set]
 Returns or sets an option to show the unit cell pattern More...
 

Additional Inherited Members

- Protected Member Functions inherited from NXOpen.TaggedObject
new void initialize ()
 <exclude> More...
 

Detailed Description

The unit cell editor allows an application to create, store and edit a lattice unit cell.

The application can open an existing unit cell file and the rods will be available for deselection. The application can select curves and edges in the work part to be included in a new unit cell file. Note that the method Builder.Commit will simply call Save .

To create a new instance of this class, use NXOpen.Features.LatticeFeatureCollection.CreateUnitCellEditorBuilder

Created in NX1847.0.0

Member Function Documentation

unsafe void NXOpen.Features.UnitCellEditorBuilder.CreateSnapHandles ( )
inline

Journaling for the Creation of Snap Handles

Created in NX1847.0.0

License requirements: nx_lattice_base (" NX Lattice Base")

unsafe void NXOpen.Features.UnitCellEditorBuilder.CreateWorkingCube ( )
inline

Create the working cube to view the space where the unit cell must be defined.

The edges and the faces of the working cube can be used to define the rod start and end locations.

Created in NX1847.0.0

License requirements: nx_lattice_base (" NX Lattice Base")

unsafe int NXOpen.Features.UnitCellEditorBuilder.Open ( NXOpen.Section  section)
inline

Open an existing unit cell file

Created in NX1847.0.0

License requirements: nx_lattice_base (" NX Lattice Base")

Parameters
section
Returns
unsafe void NXOpen.Features.UnitCellEditorBuilder.Save ( )
inline

Save the unit cell file using the file name registered in this builder

Created in NX1847.0.0

License requirements: nx_lattice_base (" NX Lattice Base")

Property Documentation

unsafe int NXOpen.Features.UnitCellEditorBuilder.CellCountX
getset

Returns or sets the number of unit cells to display along X axis when show pattern is ON

Created in NX1847.0.0

License requirements to get this property: None.

License requirements to set this property: nx_lattice_base (" NX Lattice Base")

unsafe int NXOpen.Features.UnitCellEditorBuilder.CellCountY
getset

Returns or sets the number of unit cells to display along Y axis when show pattern is ON

Created in NX1847.0.0

License requirements to get this property: None.

License requirements to set this property: nx_lattice_base (" NX Lattice Base")

unsafe int NXOpen.Features.UnitCellEditorBuilder.CellCountZ
getset

Returns or sets the number of unit cells to display along Z axis when show pattern is ON

Created in NX1847.0.0

License requirements to get this property: None.

License requirements to set this property: nx_lattice_base (" NX Lattice Base")

unsafe string NXOpen.Features.UnitCellEditorBuilder.FileBrowser
getset

Returns or sets the unit cell file name to open or save

Created in NX1847.0.0

License requirements to get this property: None.

License requirements to set this property: nx_lattice_base (" NX Lattice Base")

unsafe bool NXOpen.Features.UnitCellEditorBuilder.KeepRods
getset

Returns or sets an option to keep all the curves in the part when opening a unit cell file

Created in NX1847.0.0

License requirements to get this property: None.

License requirements to set this property: nx_lattice_base (" NX Lattice Base")

unsafe double NXOpen.Features.UnitCellEditorBuilder.RodDiameter
getset

Returns or sets the unit cell rod diameter

Created in NX1847.0.0

License requirements to get this property: None.

License requirements to set this property: nx_lattice_base (" NX Lattice Base")

unsafe NXOpen.GeometricUtilities.RodItemListBuilder NXOpen.Features.UnitCellEditorBuilder.RodItemList
get

Returns a rod item list

Created in NX1847.0.0

License requirements: nx_lattice_base (" NX Lattice Base")

unsafe bool NXOpen.Features.UnitCellEditorBuilder.ShowPattern
getset

Returns or sets an option to show the unit cell pattern

Created in NX1847.0.0

License requirements to get this property: None.

License requirements to set this property: nx_lattice_base (" NX Lattice Base")


The documentation for this class was generated from the following file:
Copyright 2019 Siemens Product Lifecycle Management Software Inc. All Rights Reserved.